server:
  servlet:
    contextPath: /api
    encoding:
      charset: UTF-8
      enabled: true
      force: false
  port: 8090
  error:
    include-message: always
  tomcat:
    connection-timeout: 300000
  ssl: # <--- This 'ssl' is correctly indented under 'server'
    enabled: true # <--- CORRECTED: Use colon, not equals, and remove "server.ssl." prefix
    key-store: classpath:keystore.p12
    key-store-type: PKCS12
    key-store-password: Mms1234
    key-alias: lionerapp
    key-password: Mms1234

spring:
  datasource:
    jdbc-url: jdbc:mysql://localhost:3306/lionerdb?useUnicode=true&characterEncoding=UTF8&serverTimezone=GMT%2B8
    username: root
    password: cFDp7988vc+$]

  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 600MB
  jpa:
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
    database-platform: org.hibernate.dialect.MySQL8Dialect
    properties:
      hibernate:
        dialect:
          storage_engine: innodb
  messages:
    basename: i18n/messages
    use-code-as-default-message: true
    fallback-to-system-locale: false

logging:
  config: 'classpath:log4j2.yml'